# sources

Репозиторий с исходным кодом различных скриптов, используемых в пайплайне усреднения комптоновских энергий,
а также некоторой документацией.

## Общее описание пайплайна
Пайплайн организован следующим образом: 
на `cron` поставлен запуск каждые 6 часов скрипта [`compton_runs_script.sh`](./src/scripts/compton_runs_script.sh), 
который:
1. проводит фильтрацию измерений комптоновских энергий с помощью [`compton_filter.py`](./src/avg/compton_filter.py)
2. усредняет измерения и записывает результаты в базу данных калибровок и в репозиторий [**tables**](https://cmd.inp.nsk.su/~compton/gogs/compton/tables), используя [`compton_combiner.py`](./src/avg/compton_combiner.py)

Для хранения информации в данном проекте и отображения состояния гит-репозиториев используется простой гит-сервер [Gogs](https://gogs.io), который доступен по ссылке [cmd.inp.nsk.su/~compton](https://cmd.inp.nsk.su/~compton)

Графики с усреднениями для каждой энергетической точки и некоторая информация по сезонам отображается на [cmd.inp.nsk.su/~compton/pictures](https://cmd.inp.nsk.su/~compton/pictures)

Более подробную информацию о предназначении конкретных файлов можно получить в `README.md` в соответствующих файлам директориях.

